Buy JSN FIDEM get JSN Extension Free

Get Offer

JoomlashineBlog

05
Nov

9 reasons to upgrade from Joomla 1.5 to 2.5

Posted by on in Joomla 2.5 & 3.x
  • Font size: Larger Smaller
  • Hits: 29376
  • Comments

New Joomla versions are continuously released – Joomla 2.5, Joomla 3.0 and so on. Joomla 1.5 is no longer supported anymore. That is, I guess that some Joomla 1.5 users might wonder which the next version you should stick to. That should be a version with new useful features, long-term support and a lot of compatible Joomla templates and extensions.
Our answer is Joomla 2.5. You know, it is still supported until December 2013. It is not Joomla 3.0 which is just supported until April, 2013. More reasons? Please take a look at the infographic below:

You should click to the infographic abouve to get the full-size infographic.

Please don't forget to share your opinions with us and other Joomla users about this.

Rated 5 stars based on 2 votes
Rate this blog entry:
Tagged in: Joomla 2.5
A designer & XHTML/CSS developer at http://www.joomlashine.com.
blog comments powered by Disqus